aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.SimpleDb.Commands.Select

# Documentation

data Select #

Constructors

Select |

Fields

- sSelectExpression :: Text
- sConsistentRead :: Bool
- sNextToken :: Maybe Text

#### Instances

Instances details

SignQuery Select # | ServiceConfiguration: `SdbConfiguration`

Instance details

Defined in Aws.SimpleDb.Commands.Select

Associated Types

type ServiceConfiguration Select |
Instance details Defined in Aws.SimpleDb.Commands.Select type ServiceConfiguration Select = SdbConfiguration

Methods

signQuery :: Select -> ServiceConfiguration Select queryType -> SignatureData -> SignedQuery #

Show Select # |
Instance details Defined in Aws.SimpleDb.Commands.Select Methods showsPrec :: Int -> Select -> ShowS # show :: Select -> String # showList :: [Select] -> ShowS #
IteratedTransaction Select SelectResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Select Methods nextIteratedRequest :: Select -> SelectResponse -> Maybe Select #
Transaction Select SelectResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Select
type ServiceConfiguration Select # |
Instance details Defined in Aws.SimpleDb.Commands.Select type ServiceConfiguration Select = SdbConfiguration

data SelectResponse #

Constructors

SelectResponse |

Fields

- srItems :: [Item [Attribute Text]]
- srNextToken :: Maybe Text

#### Instances

Instances details

AsMemoryResponse SelectResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Select

Associated Types

type MemoryResponse SelectResponse |
Instance details Defined in Aws.SimpleDb.Commands.Select type MemoryResponse SelectResponse = SelectResponse

Methods

loadToMemory :: SelectResponse -> ResourceT IO (MemoryResponse SelectResponse) #

Show SelectResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Select Methods showsPrec :: Int -> SelectResponse -> ShowS # show :: SelectResponse -> String # showList :: [SelectResponse] -> ShowS #
IteratedTransaction Select SelectResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Select Methods nextIteratedRequest :: Select -> SelectResponse -> Maybe Select #
ResponseConsumer r SelectResponse # |

Instance details

Defined in Aws.SimpleDb.Commands.Select

Associated Types

type ResponseMetadata SelectResponse |
Instance details Defined in Aws.SimpleDb.Commands.Select type ResponseMetadata SelectResponse = SdbMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata SelectResponse) -> HTTPResponseConsumer SelectResponse #

Transaction Select SelectResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Select
ListResponse SelectResponse (Item [Attribute Text]) # |
Instance details Defined in Aws.SimpleDb.Commands.Select Methods listResponse :: SelectResponse -> [Item [Attribute Text]] #
type MemoryResponse SelectResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Select type MemoryResponse SelectResponse = SelectResponse
type ResponseMetadata SelectResponse # |
Instance details Defined in Aws.SimpleDb.Commands.Select type ResponseMetadata SelectResponse = SdbMetadata

select :: Text -> Select #